TruSTAR Documentation
  • Rest API
    • Version 1.2
      • Reports
        • Report Submission
        • Update Report
        • Get Report Details
        • Delete Report
        • Get Reports
        • Find Correlated Reports
      • Indicators
        • Get Latest Indicators
        • Find Indicators
        • Get Trending Community Indicators
      • Tags
        • Get Enclave Tags For Report
        • Add Enclave Tag To Report
        • Delete Enclave Tag From Report
    • Version 1.3
      • Ping
      • Version
      • Request Quotas
      • Reports
        • Submit Report
        • Update Report
        • Upsert Report
        • Get Report Details
        • Delete Report
        • Copy Report
        • Move Report
        • Find Correlated Reports
        • Search Reports
        • Redact Report
        • Get Report Status
      • Indicators
        • Get Indicators for Report
        • Find Related Indicators
        • Search Indicators
        • Get Whitelist
        • Add to Whitelist
        • Delete from Whitelist
        • Get Indicator Metadata
        • Submit Indicators
        • Get Indicator Summaries
      • Tags
        • Get All Report Tags
        • Get Tags For Report
        • Alter Report Tags
        • Add Tag To Report (Deprecated)
        • Delete Tag From Report (Deprecated)
        • Get All Indicator Tags
        • Add Tag to Indicator
        • Delete Tag from Indicator
      • Enclaves
        • Get Enclaves
      • Phishing Triage
        • Get Phishing Submissions
        • Set Triage Status
        • Get Phishing Indicators
      • Errors
        • Invalid OAuth2 Token (400)
        • Expired OAuth2 Token (400)
        • Bad Request (400)
        • Unauthorized (401)
        • Forbidden (403)
        • Not Found (404)
        • Payload Too Large (413)
        • Query String Too Long (414)
        • Too Many Requests (429)
        • Internal Server Error (500)
      • Deprecated
        • Get Trending Community Indicators
        • Get Indicator List
        • Get Reports
    • Version 2.0
  • Python SDK
    • Quick Start
    • TruStar (Main Class)
      • Reports
        • Get Report Details
        • Submit Report
        • Update Report
        • Delete Report
        • Copy Report
        • Move Report
        • Get Reports
        • Get Reports (Page)
        • Get Correlated Reports
        • Get Correlated Reports (Page)
        • Search Report
        • Search Report (Page)
      • Indicators
        • Get Indicators for Report
        • Get Indicators for Report (Page)
        • Get Related Indicators
        • Get Related Indicators (Page)
        • Search Indicators
        • Search Indicators (Page)
        • Get Whitelist
        • Get Whitelist (Page)
        • Get Indicators
        • Get Indicators (Page)
        • Get Indicator Summaries
        • Get Indicator Summaries (Page)
        • Add Terms to Whitelist
        • Delete Indicator from Whitelist
        • Get Community Trends
        • Submit Indicators
        • Get Indicators Metadata
        • Get Indicator Metadata (Deprecated)
      • Tags
        • Get Enclave Tags for Report
        • Alter Report Tags
        • Add Enclave Tag to Report (Deprecated)
        • Delete Enclave Tag from Report (Deprecated)
        • Get All Enclave Tags
        • Add Indicator Tag
        • Delete Indicator Tag
        • Get All Indicator Tags
      • Enclaves
        • Get Enclaves
      • Phishing Triage
        • Get Phishing Submissions
        • Get Phishing Submissions (Page)
        • Set Triage Status
        • Get Phishing Indicators
        • Get Phishing Indicators (Page)
      • Utility
        • Log
        • Ping
        • Version
        • Get Request Quotas
    • Models
      • Report
      • Indicator
      • Indicator Summary
      • Intelligence Source
      • Tag
      • Enclave
      • Enclave Permissions
      • Page
      • NumberedPage
      • CursorPage
      • Request Quota
      • PhishingSubmission
      • PhishingIndicator
    • Examples
      • Ingest Report CSV
      • Create Indicators CSV
      • Delete Reports
      • Pagination
TruSTAR Documentation
  • Docs »
  • TruSTAR API »
  • Version 1.3 »
  • Deprecated Endpoints »
  • Get Community Trending Indicators

Get Community Trending Indicators¶

GET /1.3/indicators/community-trending

Warning

Deprecated! This endpoint is still active for backwards-compatibility, but will no longer be maintained / supported.

Description¶

Returns the 10 indicators that have recently appeared in the most community reports. This is analogous to the Community Trends section of the dashboard on Station.

Parameters¶

Parameter Required Default Description
type   null The types of indicators to be returned. Allowed values are CVE, MALWARE, and null. If null, then all indicator types except for CVE and MALWARE will be returned.
daysBack   3 The number of days back to count correlations for. Any value between 1 and 30 is allowed.

Response (200)¶

A list of Indicator objects. The objects will have the correlationCount field filled out, and will be sorted by this field in descending order.

Example Usage¶

Request¶

curl -k -H "Authorization: Bearer {access_token}" \
   "https://api.trustar.co/api/1.3/indicators/community-trending?daysBack=7&type=MALWARE"

Response¶

[
    {
        "indicatorType": "MALWARE",
        "correlationCount": 36,
        "value": "RIG"
    },
    {
        "indicatorType": "MALWARE",
        "correlationCount": 23,
        "value": "MAGNITUDE"
    },
    {
        "indicatorType": "MALWARE",
        "correlationCount": 21,
        "value": "ANGLER"
    },
    {
        "indicatorType": "MALWARE",
        "correlationCount": 18,
        "value": "LOCKY"
    },
    {
        "indicatorType": "MALWARE",
        "correlationCount": 17,
        "value": "NEUTRINO"
    },
    {
        "indicatorType": "MALWARE",
        "correlationCount": 14,
        "value": "POISONIVY"
    },
    {
        "indicatorType": "MALWARE",
        "correlationCount": 14,
        "value": "GH0ST"
    },
    {
        "indicatorType": "MALWARE",
        "correlationCount": 9,
        "value": "JRAT"
    },
    {
        "indicatorType": "MALWARE",
        "correlationCount": 7,
        "value": "HACKINGTEAM"
    },
    {
        "indicatorType": "MALWARE",
        "correlationCount": 3,
        "value": "BABYLON"
    }
]
Next Previous

© Copyright 2017, TruSTAR.

Built with Sphinx using a theme provided by Read the Docs.